Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010988 [DCSS] Bug Report minor have not tried 2017-03-30 16:18 2018-08-26 22:39
Reporter Yermak View Status public  
Assigned To advil
Priority normal Resolution done  
Status closed   Product Branch 0.21 ancient branch
Summary 0010988: WJC, wall-jump issues: checks order
Description If there are no target and no room to wall jump, game gives the message "You have no room to wall jump.". In my opinion "There is no target in range." would be more appropriate.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0031599)
advil (administrator)
2017-04-19 02:57

This was tweaked (though not changed exactly as you suggested) in e8aa30383ec52b8448460130e2dc48ab1939a69f; after that commit, wall jump messaging doesn't happen at all if there's no monster in los. It'll still say "You have no room to wall jump." in cases where the monster isn't very close, though.
(0032260)
advil (administrator)
2018-05-24 22:49

Wall jump is now allowed without a monster target, so this message is ok now.

- Issue History
Date Modified Username Field Change
2017-03-30 16:18 Yermak New Issue
2017-04-19 02:57 advil Note Added: 0031599
2018-05-24 22:49 advil Note Added: 0032260
2018-05-24 22:49 advil Status new => resolved
2018-05-24 22:49 advil Fixed in Branch => 0.22 development branch
2018-05-24 22:49 advil Resolution open => done
2018-05-24 22:49 advil Assigned To => advil
2018-08-26 22:39 Yermak Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker